#ifndef _H_4A6FB4F6175B9DC7BFB8A8FE602B3BAB_SendGcodeFile_DCPS_H_
#define _H_4A6FB4F6175B9DC7BFB8A8FE602B3BAB_SendGcodeFile_DCPS_H_

#include "sacpp_mapping.h"
#include "dds_dcps.h"
#include "SendGcodeFile_.h"


namespace grbl_msgs
{
    namespace action
    {
        namespace dds_
        {
            class SendGcodeFile_Goal_TypeSupportInterface;

            typedef SendGcodeFile_Goal_TypeSupportInterface * SendGcodeFile_Goal_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeFile_Goal_TypeSupportInterface> SendGcodeFile_Goal_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < SendGcodeFile_Goal_TypeSupportInterface> SendGcodeFile_Goal_TypeSupportInterface_out;


            class SendGcodeFile_Goal_DataWriter;

            typedef SendGcodeFile_Goal_DataWriter * SendGcodeFile_Goal_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeFile_Goal_DataWriter> SendGcodeFile_Goal_DataWriter_var;
            typedef DDS_DCPSInterface_out < SendGcodeFile_Goal_DataWriter> SendGcodeFile_Goal_DataWriter_out;


            class SendGcodeFile_Goal_DataReader;

            typedef SendGcodeFile_Goal_DataReader * SendGcodeFile_Goal_DataReader_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeFile_Goal_DataReader> SendGcodeFile_Goal_DataReader_var;
            typedef DDS_DCPSInterface_out < SendGcodeFile_Goal_DataReader> SendGcodeFile_Goal_DataReader_out;


            class SendGcodeFile_Goal_DataReaderView;

            typedef SendGcodeFile_Goal_DataReaderView * SendGcodeFile_Goal_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeFile_Goal_DataReaderView> SendGcodeFile_Goal_DataReaderView_var;
            typedef DDS_DCPSInterface_out < SendGcodeFile_Goal_DataReaderView> SendGcodeFile_Goal_DataReaderView_out;

            struct SendGcodeFile_Goal_Seq_uniq_ {};
            typedef DDS_DCPSUVLSeq < SendGcodeFile_Goal_, struct SendGcodeFile_Goal_Seq_uniq_> SendGcodeFile_Goal_Seq;
            typedef DDS_DCPSSequence_var < SendGcodeFile_Goal_Seq> SendGcodeFile_Goal_Seq_var;
            typedef DDS_DCPSSequence_out < SendGcodeFile_Goal_Seq> SendGcodeFile_Goal_Seq_out;

            class  SendGcodeFile_Goal_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef SendGcodeFile_Goal_TypeSupportInterface_ptr _ptr_type;
                typedef SendGcodeFile_Goal_TypeSupportInterface_var _var_type;

                static SendGcodeFile_Goal_TypeSupportInterface_ptr _duplicate (SendGcodeFile_Goal_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeFile_Goal_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeFile_Goal_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeFile_Goal_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeFile_Goal_TypeSupportInterface_ptr _this () { return this; }


            protected:
                SendGcodeFile_Goal_TypeSupportInterface () {};
                ~SendGcodeFile_Goal_TypeSupportInterface () {};
            private:
                SendGcodeFile_Goal_TypeSupportInterface (const SendGcodeFile_Goal_TypeSupportInterface &);
                SendGcodeFile_Goal_TypeSupportInterface & operator = (const SendGcodeFile_Goal_TypeSupportInterface &);
            };

            class  SendGcodeFile_Goal_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef SendGcodeFile_Goal_DataWriter_ptr _ptr_type;
                typedef SendGcodeFile_Goal_DataWriter_var _var_type;

                static SendGcodeFile_Goal_DataWriter_ptr _duplicate (SendGcodeFile_Goal_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeFile_Goal_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeFile_Goal_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeFile_Goal_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeFile_Goal_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const SendGcodeFile_Goal_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const SendGcodeFile_Goal_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const SendGcodeFile_Goal_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const SendGcodeFile_Goal_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const SendGcodeFile_Goal_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const SendGcodeFile_Goal_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const SendGcodeFile_Goal_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const SendGcodeFile_Goal_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const SendGcodeFile_Goal_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const SendGcodeFile_Goal_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (SendGcodeFile_Goal_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeFile_Goal_& instance_data) = 0;

            protected:
                SendGcodeFile_Goal_DataWriter () {};
                ~SendGcodeFile_Goal_DataWriter () {};
            private:
                SendGcodeFile_Goal_DataWriter (const SendGcodeFile_Goal_DataWriter &);
                SendGcodeFile_Goal_DataWriter & operator = (const SendGcodeFile_Goal_DataWriter &);
            };

            class  SendGcodeFile_Goal_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef SendGcodeFile_Goal_DataReader_ptr _ptr_type;
                typedef SendGcodeFile_Goal_DataReader_var _var_type;

                static SendGcodeFile_Goal_DataReader_ptr _duplicate (SendGcodeFile_Goal_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeFile_Goal_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeFile_Goal_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeFile_Goal_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeFile_Goal_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (SendGcodeFile_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SendGcodeFile_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SendGcodeFile_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SendGcodeFile_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SendGcodeFile_Goal_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SendGcodeFile_Goal_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SendGcodeFile_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SendGcodeFile_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SendGcodeFile_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SendGcodeFile_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SendGcodeFile_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SendGcodeFile_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SendGcodeFile_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SendGcodeFile_Goal_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeFile_Goal_& instance) = 0;

            protected:
                SendGcodeFile_Goal_DataReader () {};
                ~SendGcodeFile_Goal_DataReader () {};
            private:
                SendGcodeFile_Goal_DataReader (const SendGcodeFile_Goal_DataReader &);
                SendGcodeFile_Goal_DataReader & operator = (const SendGcodeFile_Goal_DataReader &);
            };

            class  SendGcodeFile_Goal_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef SendGcodeFile_Goal_DataReaderView_ptr _ptr_type;
                typedef SendGcodeFile_Goal_DataReaderView_var _var_type;

                static SendGcodeFile_Goal_DataReaderView_ptr _duplicate (SendGcodeFile_Goal_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeFile_Goal_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeFile_Goal_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeFile_Goal_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeFile_Goal_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (SendGcodeFile_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SendGcodeFile_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SendGcodeFile_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SendGcodeFile_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SendGcodeFile_Goal_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SendGcodeFile_Goal_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SendGcodeFile_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SendGcodeFile_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SendGcodeFile_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SendGcodeFile_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SendGcodeFile_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SendGcodeFile_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SendGcodeFile_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SendGcodeFile_Goal_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeFile_Goal_& instance) = 0;

            protected:
                SendGcodeFile_Goal_DataReaderView () {};
                ~SendGcodeFile_Goal_DataReaderView () {};
            private:
                SendGcodeFile_Goal_DataReaderView (const SendGcodeFile_Goal_DataReaderView &);
                SendGcodeFile_Goal_DataReaderView & operator = (const SendGcodeFile_Goal_DataReaderView &);
            };
            class SendGcodeFile_SendGoal_Request_TypeSupportInterface;

            typedef SendGcodeFile_SendGoal_Request_TypeSupportInterface * SendGcodeFile_SendGoal_Request_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeFile_SendGoal_Request_TypeSupportInterface> SendGcodeFile_SendGoal_Request_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < SendGcodeFile_SendGoal_Request_TypeSupportInterface> SendGcodeFile_SendGoal_Request_TypeSupportInterface_out;


            class SendGcodeFile_SendGoal_Request_DataWriter;

            typedef SendGcodeFile_SendGoal_Request_DataWriter * SendGcodeFile_SendGoal_Request_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeFile_SendGoal_Request_DataWriter> SendGcodeFile_SendGoal_Request_DataWriter_var;
            typedef DDS_DCPSInterface_out < SendGcodeFile_SendGoal_Request_DataWriter> SendGcodeFile_SendGoal_Request_DataWriter_out;


            class SendGcodeFile_SendGoal_Request_DataReader;

            typedef SendGcodeFile_SendGoal_Request_DataReader * SendGcodeFile_SendGoal_Request_DataReader_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeFile_SendGoal_Request_DataReader> SendGcodeFile_SendGoal_Request_DataReader_var;
            typedef DDS_DCPSInterface_out < SendGcodeFile_SendGoal_Request_DataReader> SendGcodeFile_SendGoal_Request_DataReader_out;


            class SendGcodeFile_SendGoal_Request_DataReaderView;

            typedef SendGcodeFile_SendGoal_Request_DataReaderView * SendGcodeFile_SendGoal_Request_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeFile_SendGoal_Request_DataReaderView> SendGcodeFile_SendGoal_Request_DataReaderView_var;
            typedef DDS_DCPSInterface_out < SendGcodeFile_SendGoal_Request_DataReaderView> SendGcodeFile_SendGoal_Request_DataReaderView_out;

            struct SendGcodeFile_SendGoal_Request_Seq_uniq_ {};
            typedef DDS_DCPSUVLSeq < SendGcodeFile_SendGoal_Request_, struct SendGcodeFile_SendGoal_Request_Seq_uniq_> SendGcodeFile_SendGoal_Request_Seq;
            typedef DDS_DCPSSequence_var < SendGcodeFile_SendGoal_Request_Seq> SendGcodeFile_SendGoal_Request_Seq_var;
            typedef DDS_DCPSSequence_out < SendGcodeFile_SendGoal_Request_Seq> SendGcodeFile_SendGoal_Request_Seq_out;

            class  SendGcodeFile_SendGoal_Request_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef SendGcodeFile_SendGoal_Request_TypeSupportInterface_ptr _ptr_type;
                typedef SendGcodeFile_SendGoal_Request_TypeSupportInterface_var _var_type;

                static SendGcodeFile_SendGoal_Request_TypeSupportInterface_ptr _duplicate (SendGcodeFile_SendGoal_Request_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeFile_SendGoal_Request_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeFile_SendGoal_Request_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeFile_SendGoal_Request_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeFile_SendGoal_Request_TypeSupportInterface_ptr _this () { return this; }


            protected:
                SendGcodeFile_SendGoal_Request_TypeSupportInterface () {};
                ~SendGcodeFile_SendGoal_Request_TypeSupportInterface () {};
            private:
                SendGcodeFile_SendGoal_Request_TypeSupportInterface (const SendGcodeFile_SendGoal_Request_TypeSupportInterface &);
                SendGcodeFile_SendGoal_Request_TypeSupportInterface & operator = (const SendGcodeFile_SendGoal_Request_TypeSupportInterface &);
            };

            class  SendGcodeFile_SendGoal_Request_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef SendGcodeFile_SendGoal_Request_DataWriter_ptr _ptr_type;
                typedef SendGcodeFile_SendGoal_Request_DataWriter_var _var_type;

                static SendGcodeFile_SendGoal_Request_DataWriter_ptr _duplicate (SendGcodeFile_SendGoal_Request_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeFile_SendGoal_Request_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeFile_SendGoal_Request_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeFile_SendGoal_Request_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeFile_SendGoal_Request_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const SendGcodeFile_SendGoal_Request_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const SendGcodeFile_SendGoal_Request_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const SendGcodeFile_SendGoal_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const SendGcodeFile_SendGoal_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const SendGcodeFile_SendGoal_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const SendGcodeFile_SendGoal_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const SendGcodeFile_SendGoal_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const SendGcodeFile_SendGoal_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const SendGcodeFile_SendGoal_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const SendGcodeFile_SendGoal_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (SendGcodeFile_SendGoal_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeFile_SendGoal_Request_& instance_data) = 0;

            protected:
                SendGcodeFile_SendGoal_Request_DataWriter () {};
                ~SendGcodeFile_SendGoal_Request_DataWriter () {};
            private:
                SendGcodeFile_SendGoal_Request_DataWriter (const SendGcodeFile_SendGoal_Request_DataWriter &);
                SendGcodeFile_SendGoal_Request_DataWriter & operator = (const SendGcodeFile_SendGoal_Request_DataWriter &);
            };

            class  SendGcodeFile_SendGoal_Request_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef SendGcodeFile_SendGoal_Request_DataReader_ptr _ptr_type;
                typedef SendGcodeFile_SendGoal_Request_DataReader_var _var_type;

                static SendGcodeFile_SendGoal_Request_DataReader_ptr _duplicate (SendGcodeFile_SendGoal_Request_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeFile_SendGoal_Request_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeFile_SendGoal_Request_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeFile_SendGoal_Request_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeFile_SendGoal_Request_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SendGcodeFile_SendGoal_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SendGcodeFile_SendGoal_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SendGcodeFile_SendGoal_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeFile_SendGoal_Request_& instance) = 0;

            protected:
                SendGcodeFile_SendGoal_Request_DataReader () {};
                ~SendGcodeFile_SendGoal_Request_DataReader () {};
            private:
                SendGcodeFile_SendGoal_Request_DataReader (const SendGcodeFile_SendGoal_Request_DataReader &);
                SendGcodeFile_SendGoal_Request_DataReader & operator = (const SendGcodeFile_SendGoal_Request_DataReader &);
            };

            class  SendGcodeFile_SendGoal_Request_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef SendGcodeFile_SendGoal_Request_DataReaderView_ptr _ptr_type;
                typedef SendGcodeFile_SendGoal_Request_DataReaderView_var _var_type;

                static SendGcodeFile_SendGoal_Request_DataReaderView_ptr _duplicate (SendGcodeFile_SendGoal_Request_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeFile_SendGoal_Request_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeFile_SendGoal_Request_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeFile_SendGoal_Request_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeFile_SendGoal_Request_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SendGcodeFile_SendGoal_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SendGcodeFile_SendGoal_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SendGcodeFile_SendGoal_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeFile_SendGoal_Request_& instance) = 0;

            protected:
                SendGcodeFile_SendGoal_Request_DataReaderView () {};
                ~SendGcodeFile_SendGoal_Request_DataReaderView () {};
            private:
                SendGcodeFile_SendGoal_Request_DataReaderView (const SendGcodeFile_SendGoal_Request_DataReaderView &);
                SendGcodeFile_SendGoal_Request_DataReaderView & operator = (const SendGcodeFile_SendGoal_Request_DataReaderView &);
            };
            class SendGcodeFile_SendGoal_Response_TypeSupportInterface;

            typedef SendGcodeFile_SendGoal_Response_TypeSupportInterface * SendGcodeFile_SendGoal_Response_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeFile_SendGoal_Response_TypeSupportInterface> SendGcodeFile_SendGoal_Response_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < SendGcodeFile_SendGoal_Response_TypeSupportInterface> SendGcodeFile_SendGoal_Response_TypeSupportInterface_out;


            class SendGcodeFile_SendGoal_Response_DataWriter;

            typedef SendGcodeFile_SendGoal_Response_DataWriter * SendGcodeFile_SendGoal_Response_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeFile_SendGoal_Response_DataWriter> SendGcodeFile_SendGoal_Response_DataWriter_var;
            typedef DDS_DCPSInterface_out < SendGcodeFile_SendGoal_Response_DataWriter> SendGcodeFile_SendGoal_Response_DataWriter_out;


            class SendGcodeFile_SendGoal_Response_DataReader;

            typedef SendGcodeFile_SendGoal_Response_DataReader * SendGcodeFile_SendGoal_Response_DataReader_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeFile_SendGoal_Response_DataReader> SendGcodeFile_SendGoal_Response_DataReader_var;
            typedef DDS_DCPSInterface_out < SendGcodeFile_SendGoal_Response_DataReader> SendGcodeFile_SendGoal_Response_DataReader_out;


            class SendGcodeFile_SendGoal_Response_DataReaderView;

            typedef SendGcodeFile_SendGoal_Response_DataReaderView * SendGcodeFile_SendGoal_Response_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeFile_SendGoal_Response_DataReaderView> SendGcodeFile_SendGoal_Response_DataReaderView_var;
            typedef DDS_DCPSInterface_out < SendGcodeFile_SendGoal_Response_DataReaderView> SendGcodeFile_SendGoal_Response_DataReaderView_out;

            struct SendGcodeFile_SendGoal_Response_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < SendGcodeFile_SendGoal_Response_, struct SendGcodeFile_SendGoal_Response_Seq_uniq_> SendGcodeFile_SendGoal_Response_Seq;
            typedef DDS_DCPSSequence_var < SendGcodeFile_SendGoal_Response_Seq> SendGcodeFile_SendGoal_Response_Seq_var;
            typedef DDS_DCPSSequence_out < SendGcodeFile_SendGoal_Response_Seq> SendGcodeFile_SendGoal_Response_Seq_out;

            class  SendGcodeFile_SendGoal_Response_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef SendGcodeFile_SendGoal_Response_TypeSupportInterface_ptr _ptr_type;
                typedef SendGcodeFile_SendGoal_Response_TypeSupportInterface_var _var_type;

                static SendGcodeFile_SendGoal_Response_TypeSupportInterface_ptr _duplicate (SendGcodeFile_SendGoal_Response_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeFile_SendGoal_Response_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeFile_SendGoal_Response_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeFile_SendGoal_Response_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeFile_SendGoal_Response_TypeSupportInterface_ptr _this () { return this; }


            protected:
                SendGcodeFile_SendGoal_Response_TypeSupportInterface () {};
                ~SendGcodeFile_SendGoal_Response_TypeSupportInterface () {};
            private:
                SendGcodeFile_SendGoal_Response_TypeSupportInterface (const SendGcodeFile_SendGoal_Response_TypeSupportInterface &);
                SendGcodeFile_SendGoal_Response_TypeSupportInterface & operator = (const SendGcodeFile_SendGoal_Response_TypeSupportInterface &);
            };

            class  SendGcodeFile_SendGoal_Response_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef SendGcodeFile_SendGoal_Response_DataWriter_ptr _ptr_type;
                typedef SendGcodeFile_SendGoal_Response_DataWriter_var _var_type;

                static SendGcodeFile_SendGoal_Response_DataWriter_ptr _duplicate (SendGcodeFile_SendGoal_Response_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeFile_SendGoal_Response_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeFile_SendGoal_Response_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeFile_SendGoal_Response_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeFile_SendGoal_Response_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const SendGcodeFile_SendGoal_Response_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const SendGcodeFile_SendGoal_Response_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const SendGcodeFile_SendGoal_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const SendGcodeFile_SendGoal_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const SendGcodeFile_SendGoal_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const SendGcodeFile_SendGoal_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const SendGcodeFile_SendGoal_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const SendGcodeFile_SendGoal_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const SendGcodeFile_SendGoal_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const SendGcodeFile_SendGoal_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (SendGcodeFile_SendGoal_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeFile_SendGoal_Response_& instance_data) = 0;

            protected:
                SendGcodeFile_SendGoal_Response_DataWriter () {};
                ~SendGcodeFile_SendGoal_Response_DataWriter () {};
            private:
                SendGcodeFile_SendGoal_Response_DataWriter (const SendGcodeFile_SendGoal_Response_DataWriter &);
                SendGcodeFile_SendGoal_Response_DataWriter & operator = (const SendGcodeFile_SendGoal_Response_DataWriter &);
            };

            class  SendGcodeFile_SendGoal_Response_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef SendGcodeFile_SendGoal_Response_DataReader_ptr _ptr_type;
                typedef SendGcodeFile_SendGoal_Response_DataReader_var _var_type;

                static SendGcodeFile_SendGoal_Response_DataReader_ptr _duplicate (SendGcodeFile_SendGoal_Response_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeFile_SendGoal_Response_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeFile_SendGoal_Response_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeFile_SendGoal_Response_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeFile_SendGoal_Response_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SendGcodeFile_SendGoal_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SendGcodeFile_SendGoal_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SendGcodeFile_SendGoal_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeFile_SendGoal_Response_& instance) = 0;

            protected:
                SendGcodeFile_SendGoal_Response_DataReader () {};
                ~SendGcodeFile_SendGoal_Response_DataReader () {};
            private:
                SendGcodeFile_SendGoal_Response_DataReader (const SendGcodeFile_SendGoal_Response_DataReader &);
                SendGcodeFile_SendGoal_Response_DataReader & operator = (const SendGcodeFile_SendGoal_Response_DataReader &);
            };

            class  SendGcodeFile_SendGoal_Response_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef SendGcodeFile_SendGoal_Response_DataReaderView_ptr _ptr_type;
                typedef SendGcodeFile_SendGoal_Response_DataReaderView_var _var_type;

                static SendGcodeFile_SendGoal_Response_DataReaderView_ptr _duplicate (SendGcodeFile_SendGoal_Response_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeFile_SendGoal_Response_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeFile_SendGoal_Response_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeFile_SendGoal_Response_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeFile_SendGoal_Response_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SendGcodeFile_SendGoal_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SendGcodeFile_SendGoal_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SendGcodeFile_SendGoal_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeFile_SendGoal_Response_& instance) = 0;

            protected:
                SendGcodeFile_SendGoal_Response_DataReaderView () {};
                ~SendGcodeFile_SendGoal_Response_DataReaderView () {};
            private:
                SendGcodeFile_SendGoal_Response_DataReaderView (const SendGcodeFile_SendGoal_Response_DataReaderView &);
                SendGcodeFile_SendGoal_Response_DataReaderView & operator = (const SendGcodeFile_SendGoal_Response_DataReaderView &);
            };
            class Sample_SendGcodeFile_SendGoal_Request_TypeSupportInterface;

            typedef Sample_SendGcodeFile_SendGoal_Request_TypeSupportInterface * Sample_SendGcodeFile_SendGoal_Request_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Sample_SendGcodeFile_SendGoal_Request_TypeSupportInterface> Sample_SendGcodeFile_SendGoal_Request_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Sample_SendGcodeFile_SendGoal_Request_TypeSupportInterface> Sample_SendGcodeFile_SendGoal_Request_TypeSupportInterface_out;


            class Sample_SendGcodeFile_SendGoal_Request_DataWriter;

            typedef Sample_SendGcodeFile_SendGoal_Request_DataWriter * Sample_SendGcodeFile_SendGoal_Request_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Sample_SendGcodeFile_SendGoal_Request_DataWriter> Sample_SendGcodeFile_SendGoal_Request_DataWriter_var;
            typedef DDS_DCPSInterface_out < Sample_SendGcodeFile_SendGoal_Request_DataWriter> Sample_SendGcodeFile_SendGoal_Request_DataWriter_out;


            class Sample_SendGcodeFile_SendGoal_Request_DataReader;

            typedef Sample_SendGcodeFile_SendGoal_Request_DataReader * Sample_SendGcodeFile_SendGoal_Request_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Sample_SendGcodeFile_SendGoal_Request_DataReader> Sample_SendGcodeFile_SendGoal_Request_DataReader_var;
            typedef DDS_DCPSInterface_out < Sample_SendGcodeFile_SendGoal_Request_DataReader> Sample_SendGcodeFile_SendGoal_Request_DataReader_out;


            class Sample_SendGcodeFile_SendGoal_Request_DataReaderView;

            typedef Sample_SendGcodeFile_SendGoal_Request_DataReaderView * Sample_SendGcodeFile_SendGoal_Request_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Sample_SendGcodeFile_SendGoal_Request_DataReaderView> Sample_SendGcodeFile_SendGoal_Request_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Sample_SendGcodeFile_SendGoal_Request_DataReaderView> Sample_SendGcodeFile_SendGoal_Request_DataReaderView_out;

            struct Sample_SendGcodeFile_SendGoal_Request_Seq_uniq_ {};
            typedef DDS_DCPSUVLSeq < Sample_SendGcodeFile_SendGoal_Request_, struct Sample_SendGcodeFile_SendGoal_Request_Seq_uniq_> Sample_SendGcodeFile_SendGoal_Request_Seq;
            typedef DDS_DCPSSequence_var < Sample_SendGcodeFile_SendGoal_Request_Seq> Sample_SendGcodeFile_SendGoal_Request_Seq_var;
            typedef DDS_DCPSSequence_out < Sample_SendGcodeFile_SendGoal_Request_Seq> Sample_SendGcodeFile_SendGoal_Request_Seq_out;

            class  Sample_SendGcodeFile_SendGoal_Request_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Sample_SendGcodeFile_SendGoal_Request_TypeSupportInterface_ptr _ptr_type;
                typedef Sample_SendGcodeFile_SendGoal_Request_TypeSupportInterface_var _var_type;

                static Sample_SendGcodeFile_SendGoal_Request_TypeSupportInterface_ptr _duplicate (Sample_SendGcodeFile_SendGoal_Request_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SendGcodeFile_SendGoal_Request_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeFile_SendGoal_Request_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeFile_SendGoal_Request_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SendGcodeFile_SendGoal_Request_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Sample_SendGcodeFile_SendGoal_Request_TypeSupportInterface () {};
                ~Sample_SendGcodeFile_SendGoal_Request_TypeSupportInterface () {};
            private:
                Sample_SendGcodeFile_SendGoal_Request_TypeSupportInterface (const Sample_SendGcodeFile_SendGoal_Request_TypeSupportInterface &);
                Sample_SendGcodeFile_SendGoal_Request_TypeSupportInterface & operator = (const Sample_SendGcodeFile_SendGoal_Request_TypeSupportInterface &);
            };

            class  Sample_SendGcodeFile_SendGoal_Request_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Sample_SendGcodeFile_SendGoal_Request_DataWriter_ptr _ptr_type;
                typedef Sample_SendGcodeFile_SendGoal_Request_DataWriter_var _var_type;

                static Sample_SendGcodeFile_SendGoal_Request_DataWriter_ptr _duplicate (Sample_SendGcodeFile_SendGoal_Request_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SendGcodeFile_SendGoal_Request_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeFile_SendGoal_Request_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeFile_SendGoal_Request_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SendGcodeFile_SendGoal_Request_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Sample_SendGcodeFile_SendGoal_Request_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Sample_SendGcodeFile_SendGoal_Request_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Sample_SendGcodeFile_SendGoal_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Sample_SendGcodeFile_SendGoal_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Sample_SendGcodeFile_SendGoal_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Sample_SendGcodeFile_SendGoal_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Sample_SendGcodeFile_SendGoal_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Sample_SendGcodeFile_SendGoal_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Sample_SendGcodeFile_SendGoal_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Sample_SendGcodeFile_SendGoal_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Sample_SendGcodeFile_SendGoal_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SendGcodeFile_SendGoal_Request_& instance_data) = 0;

            protected:
                Sample_SendGcodeFile_SendGoal_Request_DataWriter () {};
                ~Sample_SendGcodeFile_SendGoal_Request_DataWriter () {};
            private:
                Sample_SendGcodeFile_SendGoal_Request_DataWriter (const Sample_SendGcodeFile_SendGoal_Request_DataWriter &);
                Sample_SendGcodeFile_SendGoal_Request_DataWriter & operator = (const Sample_SendGcodeFile_SendGoal_Request_DataWriter &);
            };

            class  Sample_SendGcodeFile_SendGoal_Request_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Sample_SendGcodeFile_SendGoal_Request_DataReader_ptr _ptr_type;
                typedef Sample_SendGcodeFile_SendGoal_Request_DataReader_var _var_type;

                static Sample_SendGcodeFile_SendGoal_Request_DataReader_ptr _duplicate (Sample_SendGcodeFile_SendGoal_Request_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SendGcodeFile_SendGoal_Request_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeFile_SendGoal_Request_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeFile_SendGoal_Request_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SendGcodeFile_SendGoal_Request_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Sample_SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_SendGcodeFile_SendGoal_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_SendGcodeFile_SendGoal_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_SendGcodeFile_SendGoal_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SendGcodeFile_SendGoal_Request_& instance) = 0;

            protected:
                Sample_SendGcodeFile_SendGoal_Request_DataReader () {};
                ~Sample_SendGcodeFile_SendGoal_Request_DataReader () {};
            private:
                Sample_SendGcodeFile_SendGoal_Request_DataReader (const Sample_SendGcodeFile_SendGoal_Request_DataReader &);
                Sample_SendGcodeFile_SendGoal_Request_DataReader & operator = (const Sample_SendGcodeFile_SendGoal_Request_DataReader &);
            };

            class  Sample_SendGcodeFile_SendGoal_Request_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Sample_SendGcodeFile_SendGoal_Request_DataReaderView_ptr _ptr_type;
                typedef Sample_SendGcodeFile_SendGoal_Request_DataReaderView_var _var_type;

                static Sample_SendGcodeFile_SendGoal_Request_DataReaderView_ptr _duplicate (Sample_SendGcodeFile_SendGoal_Request_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SendGcodeFile_SendGoal_Request_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeFile_SendGoal_Request_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeFile_SendGoal_Request_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SendGcodeFile_SendGoal_Request_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Sample_SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_SendGcodeFile_SendGoal_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_SendGcodeFile_SendGoal_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_SendGcodeFile_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_SendGcodeFile_SendGoal_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SendGcodeFile_SendGoal_Request_& instance) = 0;

            protected:
                Sample_SendGcodeFile_SendGoal_Request_DataReaderView () {};
                ~Sample_SendGcodeFile_SendGoal_Request_DataReaderView () {};
            private:
                Sample_SendGcodeFile_SendGoal_Request_DataReaderView (const Sample_SendGcodeFile_SendGoal_Request_DataReaderView &);
                Sample_SendGcodeFile_SendGoal_Request_DataReaderView & operator = (const Sample_SendGcodeFile_SendGoal_Request_DataReaderView &);
            };
            class Sample_SendGcodeFile_SendGoal_Response_TypeSupportInterface;

            typedef Sample_SendGcodeFile_SendGoal_Response_TypeSupportInterface * Sample_SendGcodeFile_SendGoal_Response_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Sample_SendGcodeFile_SendGoal_Response_TypeSupportInterface> Sample_SendGcodeFile_SendGoal_Response_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Sample_SendGcodeFile_SendGoal_Response_TypeSupportInterface> Sample_SendGcodeFile_SendGoal_Response_TypeSupportInterface_out;


            class Sample_SendGcodeFile_SendGoal_Response_DataWriter;

            typedef Sample_SendGcodeFile_SendGoal_Response_DataWriter * Sample_SendGcodeFile_SendGoal_Response_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Sample_SendGcodeFile_SendGoal_Response_DataWriter> Sample_SendGcodeFile_SendGoal_Response_DataWriter_var;
            typedef DDS_DCPSInterface_out < Sample_SendGcodeFile_SendGoal_Response_DataWriter> Sample_SendGcodeFile_SendGoal_Response_DataWriter_out;


            class Sample_SendGcodeFile_SendGoal_Response_DataReader;

            typedef Sample_SendGcodeFile_SendGoal_Response_DataReader * Sample_SendGcodeFile_SendGoal_Response_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Sample_SendGcodeFile_SendGoal_Response_DataReader> Sample_SendGcodeFile_SendGoal_Response_DataReader_var;
            typedef DDS_DCPSInterface_out < Sample_SendGcodeFile_SendGoal_Response_DataReader> Sample_SendGcodeFile_SendGoal_Response_DataReader_out;


            class Sample_SendGcodeFile_SendGoal_Response_DataReaderView;

            typedef Sample_SendGcodeFile_SendGoal_Response_DataReaderView * Sample_SendGcodeFile_SendGoal_Response_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Sample_SendGcodeFile_SendGoal_Response_DataReaderView> Sample_SendGcodeFile_SendGoal_Response_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Sample_SendGcodeFile_SendGoal_Response_DataReaderView> Sample_SendGcodeFile_SendGoal_Response_DataReaderView_out;

            struct Sample_SendGcodeFile_SendGoal_Response_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < Sample_SendGcodeFile_SendGoal_Response_, struct Sample_SendGcodeFile_SendGoal_Response_Seq_uniq_> Sample_SendGcodeFile_SendGoal_Response_Seq;
            typedef DDS_DCPSSequence_var < Sample_SendGcodeFile_SendGoal_Response_Seq> Sample_SendGcodeFile_SendGoal_Response_Seq_var;
            typedef DDS_DCPSSequence_out < Sample_SendGcodeFile_SendGoal_Response_Seq> Sample_SendGcodeFile_SendGoal_Response_Seq_out;

            class  Sample_SendGcodeFile_SendGoal_Response_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Sample_SendGcodeFile_SendGoal_Response_TypeSupportInterface_ptr _ptr_type;
                typedef Sample_SendGcodeFile_SendGoal_Response_TypeSupportInterface_var _var_type;

                static Sample_SendGcodeFile_SendGoal_Response_TypeSupportInterface_ptr _duplicate (Sample_SendGcodeFile_SendGoal_Response_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SendGcodeFile_SendGoal_Response_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeFile_SendGoal_Response_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeFile_SendGoal_Response_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SendGcodeFile_SendGoal_Response_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Sample_SendGcodeFile_SendGoal_Response_TypeSupportInterface () {};
                ~Sample_SendGcodeFile_SendGoal_Response_TypeSupportInterface () {};
            private:
                Sample_SendGcodeFile_SendGoal_Response_TypeSupportInterface (const Sample_SendGcodeFile_SendGoal_Response_TypeSupportInterface &);
                Sample_SendGcodeFile_SendGoal_Response_TypeSupportInterface & operator = (const Sample_SendGcodeFile_SendGoal_Response_TypeSupportInterface &);
            };

            class  Sample_SendGcodeFile_SendGoal_Response_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Sample_SendGcodeFile_SendGoal_Response_DataWriter_ptr _ptr_type;
                typedef Sample_SendGcodeFile_SendGoal_Response_DataWriter_var _var_type;

                static Sample_SendGcodeFile_SendGoal_Response_DataWriter_ptr _duplicate (Sample_SendGcodeFile_SendGoal_Response_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SendGcodeFile_SendGoal_Response_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeFile_SendGoal_Response_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeFile_SendGoal_Response_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SendGcodeFile_SendGoal_Response_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Sample_SendGcodeFile_SendGoal_Response_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Sample_SendGcodeFile_SendGoal_Response_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Sample_SendGcodeFile_SendGoal_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Sample_SendGcodeFile_SendGoal_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Sample_SendGcodeFile_SendGoal_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Sample_SendGcodeFile_SendGoal_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Sample_SendGcodeFile_SendGoal_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Sample_SendGcodeFile_SendGoal_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Sample_SendGcodeFile_SendGoal_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Sample_SendGcodeFile_SendGoal_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Sample_SendGcodeFile_SendGoal_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SendGcodeFile_SendGoal_Response_& instance_data) = 0;

            protected:
                Sample_SendGcodeFile_SendGoal_Response_DataWriter () {};
                ~Sample_SendGcodeFile_SendGoal_Response_DataWriter () {};
            private:
                Sample_SendGcodeFile_SendGoal_Response_DataWriter (const Sample_SendGcodeFile_SendGoal_Response_DataWriter &);
                Sample_SendGcodeFile_SendGoal_Response_DataWriter & operator = (const Sample_SendGcodeFile_SendGoal_Response_DataWriter &);
            };

            class  Sample_SendGcodeFile_SendGoal_Response_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Sample_SendGcodeFile_SendGoal_Response_DataReader_ptr _ptr_type;
                typedef Sample_SendGcodeFile_SendGoal_Response_DataReader_var _var_type;

                static Sample_SendGcodeFile_SendGoal_Response_DataReader_ptr _duplicate (Sample_SendGcodeFile_SendGoal_Response_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SendGcodeFile_SendGoal_Response_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeFile_SendGoal_Response_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeFile_SendGoal_Response_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SendGcodeFile_SendGoal_Response_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Sample_SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_SendGcodeFile_SendGoal_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_SendGcodeFile_SendGoal_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_SendGcodeFile_SendGoal_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SendGcodeFile_SendGoal_Response_& instance) = 0;

            protected:
                Sample_SendGcodeFile_SendGoal_Response_DataReader () {};
                ~Sample_SendGcodeFile_SendGoal_Response_DataReader () {};
            private:
                Sample_SendGcodeFile_SendGoal_Response_DataReader (const Sample_SendGcodeFile_SendGoal_Response_DataReader &);
                Sample_SendGcodeFile_SendGoal_Response_DataReader & operator = (const Sample_SendGcodeFile_SendGoal_Response_DataReader &);
            };

            class  Sample_SendGcodeFile_SendGoal_Response_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Sample_SendGcodeFile_SendGoal_Response_DataReaderView_ptr _ptr_type;
                typedef Sample_SendGcodeFile_SendGoal_Response_DataReaderView_var _var_type;

                static Sample_SendGcodeFile_SendGoal_Response_DataReaderView_ptr _duplicate (Sample_SendGcodeFile_SendGoal_Response_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SendGcodeFile_SendGoal_Response_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeFile_SendGoal_Response_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeFile_SendGoal_Response_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SendGcodeFile_SendGoal_Response_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Sample_SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_SendGcodeFile_SendGoal_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_SendGcodeFile_SendGoal_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_SendGcodeFile_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_SendGcodeFile_SendGoal_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SendGcodeFile_SendGoal_Response_& instance) = 0;

            protected:
                Sample_SendGcodeFile_SendGoal_Response_DataReaderView () {};
                ~Sample_SendGcodeFile_SendGoal_Response_DataReaderView () {};
            private:
                Sample_SendGcodeFile_SendGoal_Response_DataReaderView (const Sample_SendGcodeFile_SendGoal_Response_DataReaderView &);
                Sample_SendGcodeFile_SendGoal_Response_DataReaderView & operator = (const Sample_SendGcodeFile_SendGoal_Response_DataReaderView &);
            };
            class SendGcodeFile_Result_TypeSupportInterface;

            typedef SendGcodeFile_Result_TypeSupportInterface * SendGcodeFile_Result_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeFile_Result_TypeSupportInterface> SendGcodeFile_Result_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < SendGcodeFile_Result_TypeSupportInterface> SendGcodeFile_Result_TypeSupportInterface_out;


            class SendGcodeFile_Result_DataWriter;

            typedef SendGcodeFile_Result_DataWriter * SendGcodeFile_Result_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeFile_Result_DataWriter> SendGcodeFile_Result_DataWriter_var;
            typedef DDS_DCPSInterface_out < SendGcodeFile_Result_DataWriter> SendGcodeFile_Result_DataWriter_out;


            class SendGcodeFile_Result_DataReader;

            typedef SendGcodeFile_Result_DataReader * SendGcodeFile_Result_DataReader_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeFile_Result_DataReader> SendGcodeFile_Result_DataReader_var;
            typedef DDS_DCPSInterface_out < SendGcodeFile_Result_DataReader> SendGcodeFile_Result_DataReader_out;


            class SendGcodeFile_Result_DataReaderView;

            typedef SendGcodeFile_Result_DataReaderView * SendGcodeFile_Result_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeFile_Result_DataReaderView> SendGcodeFile_Result_DataReaderView_var;
            typedef DDS_DCPSInterface_out < SendGcodeFile_Result_DataReaderView> SendGcodeFile_Result_DataReaderView_out;

            struct SendGcodeFile_Result_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < SendGcodeFile_Result_, struct SendGcodeFile_Result_Seq_uniq_> SendGcodeFile_Result_Seq;
            typedef DDS_DCPSSequence_var < SendGcodeFile_Result_Seq> SendGcodeFile_Result_Seq_var;
            typedef DDS_DCPSSequence_out < SendGcodeFile_Result_Seq> SendGcodeFile_Result_Seq_out;

            class  SendGcodeFile_Result_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef SendGcodeFile_Result_TypeSupportInterface_ptr _ptr_type;
                typedef SendGcodeFile_Result_TypeSupportInterface_var _var_type;

                static SendGcodeFile_Result_TypeSupportInterface_ptr _duplicate (SendGcodeFile_Result_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeFile_Result_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeFile_Result_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeFile_Result_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeFile_Result_TypeSupportInterface_ptr _this () { return this; }


            protected:
                SendGcodeFile_Result_TypeSupportInterface () {};
                ~SendGcodeFile_Result_TypeSupportInterface () {};
            private:
                SendGcodeFile_Result_TypeSupportInterface (const SendGcodeFile_Result_TypeSupportInterface &);
                SendGcodeFile_Result_TypeSupportInterface & operator = (const SendGcodeFile_Result_TypeSupportInterface &);
            };

            class  SendGcodeFile_Result_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef SendGcodeFile_Result_DataWriter_ptr _ptr_type;
                typedef SendGcodeFile_Result_DataWriter_var _var_type;

                static SendGcodeFile_Result_DataWriter_ptr _duplicate (SendGcodeFile_Result_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeFile_Result_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeFile_Result_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeFile_Result_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeFile_Result_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const SendGcodeFile_Result_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const SendGcodeFile_Result_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const SendGcodeFile_Result_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const SendGcodeFile_Result_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const SendGcodeFile_Result_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const SendGcodeFile_Result_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const SendGcodeFile_Result_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const SendGcodeFile_Result_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const SendGcodeFile_Result_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const SendGcodeFile_Result_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (SendGcodeFile_Result_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeFile_Result_& instance_data) = 0;

            protected:
                SendGcodeFile_Result_DataWriter () {};
                ~SendGcodeFile_Result_DataWriter () {};
            private:
                SendGcodeFile_Result_DataWriter (const SendGcodeFile_Result_DataWriter &);
                SendGcodeFile_Result_DataWriter & operator = (const SendGcodeFile_Result_DataWriter &);
            };

            class  SendGcodeFile_Result_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef SendGcodeFile_Result_DataReader_ptr _ptr_type;
                typedef SendGcodeFile_Result_DataReader_var _var_type;

                static SendGcodeFile_Result_DataReader_ptr _duplicate (SendGcodeFile_Result_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeFile_Result_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeFile_Result_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeFile_Result_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeFile_Result_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (SendGcodeFile_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SendGcodeFile_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SendGcodeFile_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SendGcodeFile_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SendGcodeFile_Result_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SendGcodeFile_Result_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SendGcodeFile_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SendGcodeFile_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SendGcodeFile_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SendGcodeFile_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SendGcodeFile_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SendGcodeFile_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SendGcodeFile_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SendGcodeFile_Result_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeFile_Result_& instance) = 0;

            protected:
                SendGcodeFile_Result_DataReader () {};
                ~SendGcodeFile_Result_DataReader () {};
            private:
                SendGcodeFile_Result_DataReader (const SendGcodeFile_Result_DataReader &);
                SendGcodeFile_Result_DataReader & operator = (const SendGcodeFile_Result_DataReader &);
            };

            class  SendGcodeFile_Result_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef SendGcodeFile_Result_DataReaderView_ptr _ptr_type;
                typedef SendGcodeFile_Result_DataReaderView_var _var_type;

                static SendGcodeFile_Result_DataReaderView_ptr _duplicate (SendGcodeFile_Result_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeFile_Result_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeFile_Result_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeFile_Result_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeFile_Result_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (SendGcodeFile_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SendGcodeFile_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SendGcodeFile_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SendGcodeFile_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SendGcodeFile_Result_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SendGcodeFile_Result_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SendGcodeFile_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SendGcodeFile_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SendGcodeFile_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SendGcodeFile_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SendGcodeFile_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SendGcodeFile_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SendGcodeFile_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SendGcodeFile_Result_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeFile_Result_& instance) = 0;

            protected:
                SendGcodeFile_Result_DataReaderView () {};
                ~SendGcodeFile_Result_DataReaderView () {};
            private:
                SendGcodeFile_Result_DataReaderView (const SendGcodeFile_Result_DataReaderView &);
                SendGcodeFile_Result_DataReaderView & operator = (const SendGcodeFile_Result_DataReaderView &);
            };
            class SendGcodeFile_GetResult_Request_TypeSupportInterface;

            typedef SendGcodeFile_GetResult_Request_TypeSupportInterface * SendGcodeFile_GetResult_Request_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeFile_GetResult_Request_TypeSupportInterface> SendGcodeFile_GetResult_Request_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < SendGcodeFile_GetResult_Request_TypeSupportInterface> SendGcodeFile_GetResult_Request_TypeSupportInterface_out;


            class SendGcodeFile_GetResult_Request_DataWriter;

            typedef SendGcodeFile_GetResult_Request_DataWriter * SendGcodeFile_GetResult_Request_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeFile_GetResult_Request_DataWriter> SendGcodeFile_GetResult_Request_DataWriter_var;
            typedef DDS_DCPSInterface_out < SendGcodeFile_GetResult_Request_DataWriter> SendGcodeFile_GetResult_Request_DataWriter_out;


            class SendGcodeFile_GetResult_Request_DataReader;

            typedef SendGcodeFile_GetResult_Request_DataReader * SendGcodeFile_GetResult_Request_DataReader_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeFile_GetResult_Request_DataReader> SendGcodeFile_GetResult_Request_DataReader_var;
            typedef DDS_DCPSInterface_out < SendGcodeFile_GetResult_Request_DataReader> SendGcodeFile_GetResult_Request_DataReader_out;


            class SendGcodeFile_GetResult_Request_DataReaderView;

            typedef SendGcodeFile_GetResult_Request_DataReaderView * SendGcodeFile_GetResult_Request_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeFile_GetResult_Request_DataReaderView> SendGcodeFile_GetResult_Request_DataReaderView_var;
            typedef DDS_DCPSInterface_out < SendGcodeFile_GetResult_Request_DataReaderView> SendGcodeFile_GetResult_Request_DataReaderView_out;

            struct SendGcodeFile_GetResult_Request_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < SendGcodeFile_GetResult_Request_, struct SendGcodeFile_GetResult_Request_Seq_uniq_> SendGcodeFile_GetResult_Request_Seq;
            typedef DDS_DCPSSequence_var < SendGcodeFile_GetResult_Request_Seq> SendGcodeFile_GetResult_Request_Seq_var;
            typedef DDS_DCPSSequence_out < SendGcodeFile_GetResult_Request_Seq> SendGcodeFile_GetResult_Request_Seq_out;

            class  SendGcodeFile_GetResult_Request_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef SendGcodeFile_GetResult_Request_TypeSupportInterface_ptr _ptr_type;
                typedef SendGcodeFile_GetResult_Request_TypeSupportInterface_var _var_type;

                static SendGcodeFile_GetResult_Request_TypeSupportInterface_ptr _duplicate (SendGcodeFile_GetResult_Request_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeFile_GetResult_Request_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeFile_GetResult_Request_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeFile_GetResult_Request_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeFile_GetResult_Request_TypeSupportInterface_ptr _this () { return this; }


            protected:
                SendGcodeFile_GetResult_Request_TypeSupportInterface () {};
                ~SendGcodeFile_GetResult_Request_TypeSupportInterface () {};
            private:
                SendGcodeFile_GetResult_Request_TypeSupportInterface (const SendGcodeFile_GetResult_Request_TypeSupportInterface &);
                SendGcodeFile_GetResult_Request_TypeSupportInterface & operator = (const SendGcodeFile_GetResult_Request_TypeSupportInterface &);
            };

            class  SendGcodeFile_GetResult_Request_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef SendGcodeFile_GetResult_Request_DataWriter_ptr _ptr_type;
                typedef SendGcodeFile_GetResult_Request_DataWriter_var _var_type;

                static SendGcodeFile_GetResult_Request_DataWriter_ptr _duplicate (SendGcodeFile_GetResult_Request_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeFile_GetResult_Request_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeFile_GetResult_Request_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeFile_GetResult_Request_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeFile_GetResult_Request_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const SendGcodeFile_GetResult_Request_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const SendGcodeFile_GetResult_Request_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const SendGcodeFile_GetResult_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const SendGcodeFile_GetResult_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const SendGcodeFile_GetResult_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const SendGcodeFile_GetResult_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const SendGcodeFile_GetResult_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const SendGcodeFile_GetResult_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const SendGcodeFile_GetResult_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const SendGcodeFile_GetResult_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (SendGcodeFile_GetResult_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeFile_GetResult_Request_& instance_data) = 0;

            protected:
                SendGcodeFile_GetResult_Request_DataWriter () {};
                ~SendGcodeFile_GetResult_Request_DataWriter () {};
            private:
                SendGcodeFile_GetResult_Request_DataWriter (const SendGcodeFile_GetResult_Request_DataWriter &);
                SendGcodeFile_GetResult_Request_DataWriter & operator = (const SendGcodeFile_GetResult_Request_DataWriter &);
            };

            class  SendGcodeFile_GetResult_Request_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef SendGcodeFile_GetResult_Request_DataReader_ptr _ptr_type;
                typedef SendGcodeFile_GetResult_Request_DataReader_var _var_type;

                static SendGcodeFile_GetResult_Request_DataReader_ptr _duplicate (SendGcodeFile_GetResult_Request_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeFile_GetResult_Request_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeFile_GetResult_Request_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeFile_GetResult_Request_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeFile_GetResult_Request_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SendGcodeFile_GetResult_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SendGcodeFile_GetResult_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SendGcodeFile_GetResult_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeFile_GetResult_Request_& instance) = 0;

            protected:
                SendGcodeFile_GetResult_Request_DataReader () {};
                ~SendGcodeFile_GetResult_Request_DataReader () {};
            private:
                SendGcodeFile_GetResult_Request_DataReader (const SendGcodeFile_GetResult_Request_DataReader &);
                SendGcodeFile_GetResult_Request_DataReader & operator = (const SendGcodeFile_GetResult_Request_DataReader &);
            };

            class  SendGcodeFile_GetResult_Request_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef SendGcodeFile_GetResult_Request_DataReaderView_ptr _ptr_type;
                typedef SendGcodeFile_GetResult_Request_DataReaderView_var _var_type;

                static SendGcodeFile_GetResult_Request_DataReaderView_ptr _duplicate (SendGcodeFile_GetResult_Request_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeFile_GetResult_Request_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeFile_GetResult_Request_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeFile_GetResult_Request_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeFile_GetResult_Request_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SendGcodeFile_GetResult_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SendGcodeFile_GetResult_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SendGcodeFile_GetResult_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeFile_GetResult_Request_& instance) = 0;

            protected:
                SendGcodeFile_GetResult_Request_DataReaderView () {};
                ~SendGcodeFile_GetResult_Request_DataReaderView () {};
            private:
                SendGcodeFile_GetResult_Request_DataReaderView (const SendGcodeFile_GetResult_Request_DataReaderView &);
                SendGcodeFile_GetResult_Request_DataReaderView & operator = (const SendGcodeFile_GetResult_Request_DataReaderView &);
            };
            class SendGcodeFile_GetResult_Response_TypeSupportInterface;

            typedef SendGcodeFile_GetResult_Response_TypeSupportInterface * SendGcodeFile_GetResult_Response_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeFile_GetResult_Response_TypeSupportInterface> SendGcodeFile_GetResult_Response_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < SendGcodeFile_GetResult_Response_TypeSupportInterface> SendGcodeFile_GetResult_Response_TypeSupportInterface_out;


            class SendGcodeFile_GetResult_Response_DataWriter;

            typedef SendGcodeFile_GetResult_Response_DataWriter * SendGcodeFile_GetResult_Response_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeFile_GetResult_Response_DataWriter> SendGcodeFile_GetResult_Response_DataWriter_var;
            typedef DDS_DCPSInterface_out < SendGcodeFile_GetResult_Response_DataWriter> SendGcodeFile_GetResult_Response_DataWriter_out;


            class SendGcodeFile_GetResult_Response_DataReader;

            typedef SendGcodeFile_GetResult_Response_DataReader * SendGcodeFile_GetResult_Response_DataReader_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeFile_GetResult_Response_DataReader> SendGcodeFile_GetResult_Response_DataReader_var;
            typedef DDS_DCPSInterface_out < SendGcodeFile_GetResult_Response_DataReader> SendGcodeFile_GetResult_Response_DataReader_out;


            class SendGcodeFile_GetResult_Response_DataReaderView;

            typedef SendGcodeFile_GetResult_Response_DataReaderView * SendGcodeFile_GetResult_Response_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeFile_GetResult_Response_DataReaderView> SendGcodeFile_GetResult_Response_DataReaderView_var;
            typedef DDS_DCPSInterface_out < SendGcodeFile_GetResult_Response_DataReaderView> SendGcodeFile_GetResult_Response_DataReaderView_out;

            struct SendGcodeFile_GetResult_Response_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < SendGcodeFile_GetResult_Response_, struct SendGcodeFile_GetResult_Response_Seq_uniq_> SendGcodeFile_GetResult_Response_Seq;
            typedef DDS_DCPSSequence_var < SendGcodeFile_GetResult_Response_Seq> SendGcodeFile_GetResult_Response_Seq_var;
            typedef DDS_DCPSSequence_out < SendGcodeFile_GetResult_Response_Seq> SendGcodeFile_GetResult_Response_Seq_out;

            class  SendGcodeFile_GetResult_Response_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef SendGcodeFile_GetResult_Response_TypeSupportInterface_ptr _ptr_type;
                typedef SendGcodeFile_GetResult_Response_TypeSupportInterface_var _var_type;

                static SendGcodeFile_GetResult_Response_TypeSupportInterface_ptr _duplicate (SendGcodeFile_GetResult_Response_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeFile_GetResult_Response_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeFile_GetResult_Response_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeFile_GetResult_Response_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeFile_GetResult_Response_TypeSupportInterface_ptr _this () { return this; }


            protected:
                SendGcodeFile_GetResult_Response_TypeSupportInterface () {};
                ~SendGcodeFile_GetResult_Response_TypeSupportInterface () {};
            private:
                SendGcodeFile_GetResult_Response_TypeSupportInterface (const SendGcodeFile_GetResult_Response_TypeSupportInterface &);
                SendGcodeFile_GetResult_Response_TypeSupportInterface & operator = (const SendGcodeFile_GetResult_Response_TypeSupportInterface &);
            };

            class  SendGcodeFile_GetResult_Response_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef SendGcodeFile_GetResult_Response_DataWriter_ptr _ptr_type;
                typedef SendGcodeFile_GetResult_Response_DataWriter_var _var_type;

                static SendGcodeFile_GetResult_Response_DataWriter_ptr _duplicate (SendGcodeFile_GetResult_Response_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeFile_GetResult_Response_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeFile_GetResult_Response_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeFile_GetResult_Response_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeFile_GetResult_Response_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const SendGcodeFile_GetResult_Response_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const SendGcodeFile_GetResult_Response_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const SendGcodeFile_GetResult_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const SendGcodeFile_GetResult_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const SendGcodeFile_GetResult_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const SendGcodeFile_GetResult_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const SendGcodeFile_GetResult_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const SendGcodeFile_GetResult_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const SendGcodeFile_GetResult_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const SendGcodeFile_GetResult_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (SendGcodeFile_GetResult_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeFile_GetResult_Response_& instance_data) = 0;

            protected:
                SendGcodeFile_GetResult_Response_DataWriter () {};
                ~SendGcodeFile_GetResult_Response_DataWriter () {};
            private:
                SendGcodeFile_GetResult_Response_DataWriter (const SendGcodeFile_GetResult_Response_DataWriter &);
                SendGcodeFile_GetResult_Response_DataWriter & operator = (const SendGcodeFile_GetResult_Response_DataWriter &);
            };

            class  SendGcodeFile_GetResult_Response_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef SendGcodeFile_GetResult_Response_DataReader_ptr _ptr_type;
                typedef SendGcodeFile_GetResult_Response_DataReader_var _var_type;

                static SendGcodeFile_GetResult_Response_DataReader_ptr _duplicate (SendGcodeFile_GetResult_Response_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeFile_GetResult_Response_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeFile_GetResult_Response_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeFile_GetResult_Response_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeFile_GetResult_Response_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SendGcodeFile_GetResult_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SendGcodeFile_GetResult_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SendGcodeFile_GetResult_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeFile_GetResult_Response_& instance) = 0;

            protected:
                SendGcodeFile_GetResult_Response_DataReader () {};
                ~SendGcodeFile_GetResult_Response_DataReader () {};
            private:
                SendGcodeFile_GetResult_Response_DataReader (const SendGcodeFile_GetResult_Response_DataReader &);
                SendGcodeFile_GetResult_Response_DataReader & operator = (const SendGcodeFile_GetResult_Response_DataReader &);
            };

            class  SendGcodeFile_GetResult_Response_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef SendGcodeFile_GetResult_Response_DataReaderView_ptr _ptr_type;
                typedef SendGcodeFile_GetResult_Response_DataReaderView_var _var_type;

                static SendGcodeFile_GetResult_Response_DataReaderView_ptr _duplicate (SendGcodeFile_GetResult_Response_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeFile_GetResult_Response_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeFile_GetResult_Response_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeFile_GetResult_Response_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeFile_GetResult_Response_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SendGcodeFile_GetResult_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SendGcodeFile_GetResult_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SendGcodeFile_GetResult_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeFile_GetResult_Response_& instance) = 0;

            protected:
                SendGcodeFile_GetResult_Response_DataReaderView () {};
                ~SendGcodeFile_GetResult_Response_DataReaderView () {};
            private:
                SendGcodeFile_GetResult_Response_DataReaderView (const SendGcodeFile_GetResult_Response_DataReaderView &);
                SendGcodeFile_GetResult_Response_DataReaderView & operator = (const SendGcodeFile_GetResult_Response_DataReaderView &);
            };
            class Sample_SendGcodeFile_GetResult_Request_TypeSupportInterface;

            typedef Sample_SendGcodeFile_GetResult_Request_TypeSupportInterface * Sample_SendGcodeFile_GetResult_Request_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Sample_SendGcodeFile_GetResult_Request_TypeSupportInterface> Sample_SendGcodeFile_GetResult_Request_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Sample_SendGcodeFile_GetResult_Request_TypeSupportInterface> Sample_SendGcodeFile_GetResult_Request_TypeSupportInterface_out;


            class Sample_SendGcodeFile_GetResult_Request_DataWriter;

            typedef Sample_SendGcodeFile_GetResult_Request_DataWriter * Sample_SendGcodeFile_GetResult_Request_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Sample_SendGcodeFile_GetResult_Request_DataWriter> Sample_SendGcodeFile_GetResult_Request_DataWriter_var;
            typedef DDS_DCPSInterface_out < Sample_SendGcodeFile_GetResult_Request_DataWriter> Sample_SendGcodeFile_GetResult_Request_DataWriter_out;


            class Sample_SendGcodeFile_GetResult_Request_DataReader;

            typedef Sample_SendGcodeFile_GetResult_Request_DataReader * Sample_SendGcodeFile_GetResult_Request_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Sample_SendGcodeFile_GetResult_Request_DataReader> Sample_SendGcodeFile_GetResult_Request_DataReader_var;
            typedef DDS_DCPSInterface_out < Sample_SendGcodeFile_GetResult_Request_DataReader> Sample_SendGcodeFile_GetResult_Request_DataReader_out;


            class Sample_SendGcodeFile_GetResult_Request_DataReaderView;

            typedef Sample_SendGcodeFile_GetResult_Request_DataReaderView * Sample_SendGcodeFile_GetResult_Request_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Sample_SendGcodeFile_GetResult_Request_DataReaderView> Sample_SendGcodeFile_GetResult_Request_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Sample_SendGcodeFile_GetResult_Request_DataReaderView> Sample_SendGcodeFile_GetResult_Request_DataReaderView_out;

            struct Sample_SendGcodeFile_GetResult_Request_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < Sample_SendGcodeFile_GetResult_Request_, struct Sample_SendGcodeFile_GetResult_Request_Seq_uniq_> Sample_SendGcodeFile_GetResult_Request_Seq;
            typedef DDS_DCPSSequence_var < Sample_SendGcodeFile_GetResult_Request_Seq> Sample_SendGcodeFile_GetResult_Request_Seq_var;
            typedef DDS_DCPSSequence_out < Sample_SendGcodeFile_GetResult_Request_Seq> Sample_SendGcodeFile_GetResult_Request_Seq_out;

            class  Sample_SendGcodeFile_GetResult_Request_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Sample_SendGcodeFile_GetResult_Request_TypeSupportInterface_ptr _ptr_type;
                typedef Sample_SendGcodeFile_GetResult_Request_TypeSupportInterface_var _var_type;

                static Sample_SendGcodeFile_GetResult_Request_TypeSupportInterface_ptr _duplicate (Sample_SendGcodeFile_GetResult_Request_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SendGcodeFile_GetResult_Request_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeFile_GetResult_Request_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeFile_GetResult_Request_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SendGcodeFile_GetResult_Request_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Sample_SendGcodeFile_GetResult_Request_TypeSupportInterface () {};
                ~Sample_SendGcodeFile_GetResult_Request_TypeSupportInterface () {};
            private:
                Sample_SendGcodeFile_GetResult_Request_TypeSupportInterface (const Sample_SendGcodeFile_GetResult_Request_TypeSupportInterface &);
                Sample_SendGcodeFile_GetResult_Request_TypeSupportInterface & operator = (const Sample_SendGcodeFile_GetResult_Request_TypeSupportInterface &);
            };

            class  Sample_SendGcodeFile_GetResult_Request_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Sample_SendGcodeFile_GetResult_Request_DataWriter_ptr _ptr_type;
                typedef Sample_SendGcodeFile_GetResult_Request_DataWriter_var _var_type;

                static Sample_SendGcodeFile_GetResult_Request_DataWriter_ptr _duplicate (Sample_SendGcodeFile_GetResult_Request_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SendGcodeFile_GetResult_Request_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeFile_GetResult_Request_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeFile_GetResult_Request_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SendGcodeFile_GetResult_Request_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Sample_SendGcodeFile_GetResult_Request_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Sample_SendGcodeFile_GetResult_Request_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Sample_SendGcodeFile_GetResult_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Sample_SendGcodeFile_GetResult_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Sample_SendGcodeFile_GetResult_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Sample_SendGcodeFile_GetResult_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Sample_SendGcodeFile_GetResult_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Sample_SendGcodeFile_GetResult_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Sample_SendGcodeFile_GetResult_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Sample_SendGcodeFile_GetResult_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Sample_SendGcodeFile_GetResult_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SendGcodeFile_GetResult_Request_& instance_data) = 0;

            protected:
                Sample_SendGcodeFile_GetResult_Request_DataWriter () {};
                ~Sample_SendGcodeFile_GetResult_Request_DataWriter () {};
            private:
                Sample_SendGcodeFile_GetResult_Request_DataWriter (const Sample_SendGcodeFile_GetResult_Request_DataWriter &);
                Sample_SendGcodeFile_GetResult_Request_DataWriter & operator = (const Sample_SendGcodeFile_GetResult_Request_DataWriter &);
            };

            class  Sample_SendGcodeFile_GetResult_Request_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Sample_SendGcodeFile_GetResult_Request_DataReader_ptr _ptr_type;
                typedef Sample_SendGcodeFile_GetResult_Request_DataReader_var _var_type;

                static Sample_SendGcodeFile_GetResult_Request_DataReader_ptr _duplicate (Sample_SendGcodeFile_GetResult_Request_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SendGcodeFile_GetResult_Request_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeFile_GetResult_Request_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeFile_GetResult_Request_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SendGcodeFile_GetResult_Request_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Sample_SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_SendGcodeFile_GetResult_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_SendGcodeFile_GetResult_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_SendGcodeFile_GetResult_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SendGcodeFile_GetResult_Request_& instance) = 0;

            protected:
                Sample_SendGcodeFile_GetResult_Request_DataReader () {};
                ~Sample_SendGcodeFile_GetResult_Request_DataReader () {};
            private:
                Sample_SendGcodeFile_GetResult_Request_DataReader (const Sample_SendGcodeFile_GetResult_Request_DataReader &);
                Sample_SendGcodeFile_GetResult_Request_DataReader & operator = (const Sample_SendGcodeFile_GetResult_Request_DataReader &);
            };

            class  Sample_SendGcodeFile_GetResult_Request_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Sample_SendGcodeFile_GetResult_Request_DataReaderView_ptr _ptr_type;
                typedef Sample_SendGcodeFile_GetResult_Request_DataReaderView_var _var_type;

                static Sample_SendGcodeFile_GetResult_Request_DataReaderView_ptr _duplicate (Sample_SendGcodeFile_GetResult_Request_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SendGcodeFile_GetResult_Request_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeFile_GetResult_Request_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeFile_GetResult_Request_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SendGcodeFile_GetResult_Request_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Sample_SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_SendGcodeFile_GetResult_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_SendGcodeFile_GetResult_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_SendGcodeFile_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_SendGcodeFile_GetResult_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SendGcodeFile_GetResult_Request_& instance) = 0;

            protected:
                Sample_SendGcodeFile_GetResult_Request_DataReaderView () {};
                ~Sample_SendGcodeFile_GetResult_Request_DataReaderView () {};
            private:
                Sample_SendGcodeFile_GetResult_Request_DataReaderView (const Sample_SendGcodeFile_GetResult_Request_DataReaderView &);
                Sample_SendGcodeFile_GetResult_Request_DataReaderView & operator = (const Sample_SendGcodeFile_GetResult_Request_DataReaderView &);
            };
            class Sample_SendGcodeFile_GetResult_Response_TypeSupportInterface;

            typedef Sample_SendGcodeFile_GetResult_Response_TypeSupportInterface * Sample_SendGcodeFile_GetResult_Response_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Sample_SendGcodeFile_GetResult_Response_TypeSupportInterface> Sample_SendGcodeFile_GetResult_Response_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Sample_SendGcodeFile_GetResult_Response_TypeSupportInterface> Sample_SendGcodeFile_GetResult_Response_TypeSupportInterface_out;


            class Sample_SendGcodeFile_GetResult_Response_DataWriter;

            typedef Sample_SendGcodeFile_GetResult_Response_DataWriter * Sample_SendGcodeFile_GetResult_Response_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Sample_SendGcodeFile_GetResult_Response_DataWriter> Sample_SendGcodeFile_GetResult_Response_DataWriter_var;
            typedef DDS_DCPSInterface_out < Sample_SendGcodeFile_GetResult_Response_DataWriter> Sample_SendGcodeFile_GetResult_Response_DataWriter_out;


            class Sample_SendGcodeFile_GetResult_Response_DataReader;

            typedef Sample_SendGcodeFile_GetResult_Response_DataReader * Sample_SendGcodeFile_GetResult_Response_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Sample_SendGcodeFile_GetResult_Response_DataReader> Sample_SendGcodeFile_GetResult_Response_DataReader_var;
            typedef DDS_DCPSInterface_out < Sample_SendGcodeFile_GetResult_Response_DataReader> Sample_SendGcodeFile_GetResult_Response_DataReader_out;


            class Sample_SendGcodeFile_GetResult_Response_DataReaderView;

            typedef Sample_SendGcodeFile_GetResult_Response_DataReaderView * Sample_SendGcodeFile_GetResult_Response_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Sample_SendGcodeFile_GetResult_Response_DataReaderView> Sample_SendGcodeFile_GetResult_Response_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Sample_SendGcodeFile_GetResult_Response_DataReaderView> Sample_SendGcodeFile_GetResult_Response_DataReaderView_out;

            struct Sample_SendGcodeFile_GetResult_Response_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < Sample_SendGcodeFile_GetResult_Response_, struct Sample_SendGcodeFile_GetResult_Response_Seq_uniq_> Sample_SendGcodeFile_GetResult_Response_Seq;
            typedef DDS_DCPSSequence_var < Sample_SendGcodeFile_GetResult_Response_Seq> Sample_SendGcodeFile_GetResult_Response_Seq_var;
            typedef DDS_DCPSSequence_out < Sample_SendGcodeFile_GetResult_Response_Seq> Sample_SendGcodeFile_GetResult_Response_Seq_out;

            class  Sample_SendGcodeFile_GetResult_Response_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Sample_SendGcodeFile_GetResult_Response_TypeSupportInterface_ptr _ptr_type;
                typedef Sample_SendGcodeFile_GetResult_Response_TypeSupportInterface_var _var_type;

                static Sample_SendGcodeFile_GetResult_Response_TypeSupportInterface_ptr _duplicate (Sample_SendGcodeFile_GetResult_Response_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SendGcodeFile_GetResult_Response_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeFile_GetResult_Response_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeFile_GetResult_Response_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SendGcodeFile_GetResult_Response_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Sample_SendGcodeFile_GetResult_Response_TypeSupportInterface () {};
                ~Sample_SendGcodeFile_GetResult_Response_TypeSupportInterface () {};
            private:
                Sample_SendGcodeFile_GetResult_Response_TypeSupportInterface (const Sample_SendGcodeFile_GetResult_Response_TypeSupportInterface &);
                Sample_SendGcodeFile_GetResult_Response_TypeSupportInterface & operator = (const Sample_SendGcodeFile_GetResult_Response_TypeSupportInterface &);
            };

            class  Sample_SendGcodeFile_GetResult_Response_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Sample_SendGcodeFile_GetResult_Response_DataWriter_ptr _ptr_type;
                typedef Sample_SendGcodeFile_GetResult_Response_DataWriter_var _var_type;

                static Sample_SendGcodeFile_GetResult_Response_DataWriter_ptr _duplicate (Sample_SendGcodeFile_GetResult_Response_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SendGcodeFile_GetResult_Response_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeFile_GetResult_Response_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeFile_GetResult_Response_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SendGcodeFile_GetResult_Response_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Sample_SendGcodeFile_GetResult_Response_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Sample_SendGcodeFile_GetResult_Response_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Sample_SendGcodeFile_GetResult_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Sample_SendGcodeFile_GetResult_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Sample_SendGcodeFile_GetResult_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Sample_SendGcodeFile_GetResult_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Sample_SendGcodeFile_GetResult_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Sample_SendGcodeFile_GetResult_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Sample_SendGcodeFile_GetResult_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Sample_SendGcodeFile_GetResult_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Sample_SendGcodeFile_GetResult_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SendGcodeFile_GetResult_Response_& instance_data) = 0;

            protected:
                Sample_SendGcodeFile_GetResult_Response_DataWriter () {};
                ~Sample_SendGcodeFile_GetResult_Response_DataWriter () {};
            private:
                Sample_SendGcodeFile_GetResult_Response_DataWriter (const Sample_SendGcodeFile_GetResult_Response_DataWriter &);
                Sample_SendGcodeFile_GetResult_Response_DataWriter & operator = (const Sample_SendGcodeFile_GetResult_Response_DataWriter &);
            };

            class  Sample_SendGcodeFile_GetResult_Response_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Sample_SendGcodeFile_GetResult_Response_DataReader_ptr _ptr_type;
                typedef Sample_SendGcodeFile_GetResult_Response_DataReader_var _var_type;

                static Sample_SendGcodeFile_GetResult_Response_DataReader_ptr _duplicate (Sample_SendGcodeFile_GetResult_Response_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SendGcodeFile_GetResult_Response_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeFile_GetResult_Response_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeFile_GetResult_Response_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SendGcodeFile_GetResult_Response_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Sample_SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_SendGcodeFile_GetResult_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_SendGcodeFile_GetResult_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_SendGcodeFile_GetResult_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SendGcodeFile_GetResult_Response_& instance) = 0;

            protected:
                Sample_SendGcodeFile_GetResult_Response_DataReader () {};
                ~Sample_SendGcodeFile_GetResult_Response_DataReader () {};
            private:
                Sample_SendGcodeFile_GetResult_Response_DataReader (const Sample_SendGcodeFile_GetResult_Response_DataReader &);
                Sample_SendGcodeFile_GetResult_Response_DataReader & operator = (const Sample_SendGcodeFile_GetResult_Response_DataReader &);
            };

            class  Sample_SendGcodeFile_GetResult_Response_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Sample_SendGcodeFile_GetResult_Response_DataReaderView_ptr _ptr_type;
                typedef Sample_SendGcodeFile_GetResult_Response_DataReaderView_var _var_type;

                static Sample_SendGcodeFile_GetResult_Response_DataReaderView_ptr _duplicate (Sample_SendGcodeFile_GetResult_Response_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SendGcodeFile_GetResult_Response_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeFile_GetResult_Response_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SendGcodeFile_GetResult_Response_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SendGcodeFile_GetResult_Response_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Sample_SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_SendGcodeFile_GetResult_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_SendGcodeFile_GetResult_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_SendGcodeFile_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_SendGcodeFile_GetResult_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SendGcodeFile_GetResult_Response_& instance) = 0;

            protected:
                Sample_SendGcodeFile_GetResult_Response_DataReaderView () {};
                ~Sample_SendGcodeFile_GetResult_Response_DataReaderView () {};
            private:
                Sample_SendGcodeFile_GetResult_Response_DataReaderView (const Sample_SendGcodeFile_GetResult_Response_DataReaderView &);
                Sample_SendGcodeFile_GetResult_Response_DataReaderView & operator = (const Sample_SendGcodeFile_GetResult_Response_DataReaderView &);
            };
            class SendGcodeFile_Feedback_TypeSupportInterface;

            typedef SendGcodeFile_Feedback_TypeSupportInterface * SendGcodeFile_Feedback_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeFile_Feedback_TypeSupportInterface> SendGcodeFile_Feedback_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < SendGcodeFile_Feedback_TypeSupportInterface> SendGcodeFile_Feedback_TypeSupportInterface_out;


            class SendGcodeFile_Feedback_DataWriter;

            typedef SendGcodeFile_Feedback_DataWriter * SendGcodeFile_Feedback_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeFile_Feedback_DataWriter> SendGcodeFile_Feedback_DataWriter_var;
            typedef DDS_DCPSInterface_out < SendGcodeFile_Feedback_DataWriter> SendGcodeFile_Feedback_DataWriter_out;


            class SendGcodeFile_Feedback_DataReader;

            typedef SendGcodeFile_Feedback_DataReader * SendGcodeFile_Feedback_DataReader_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeFile_Feedback_DataReader> SendGcodeFile_Feedback_DataReader_var;
            typedef DDS_DCPSInterface_out < SendGcodeFile_Feedback_DataReader> SendGcodeFile_Feedback_DataReader_out;


            class SendGcodeFile_Feedback_DataReaderView;

            typedef SendGcodeFile_Feedback_DataReaderView * SendGcodeFile_Feedback_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeFile_Feedback_DataReaderView> SendGcodeFile_Feedback_DataReaderView_var;
            typedef DDS_DCPSInterface_out < SendGcodeFile_Feedback_DataReaderView> SendGcodeFile_Feedback_DataReaderView_out;

            struct SendGcodeFile_Feedback_Seq_uniq_ {};
            typedef DDS_DCPSUVLSeq < SendGcodeFile_Feedback_, struct SendGcodeFile_Feedback_Seq_uniq_> SendGcodeFile_Feedback_Seq;
            typedef DDS_DCPSSequence_var < SendGcodeFile_Feedback_Seq> SendGcodeFile_Feedback_Seq_var;
            typedef DDS_DCPSSequence_out < SendGcodeFile_Feedback_Seq> SendGcodeFile_Feedback_Seq_out;

            class  SendGcodeFile_Feedback_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef SendGcodeFile_Feedback_TypeSupportInterface_ptr _ptr_type;
                typedef SendGcodeFile_Feedback_TypeSupportInterface_var _var_type;

                static SendGcodeFile_Feedback_TypeSupportInterface_ptr _duplicate (SendGcodeFile_Feedback_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeFile_Feedback_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeFile_Feedback_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeFile_Feedback_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeFile_Feedback_TypeSupportInterface_ptr _this () { return this; }


            protected:
                SendGcodeFile_Feedback_TypeSupportInterface () {};
                ~SendGcodeFile_Feedback_TypeSupportInterface () {};
            private:
                SendGcodeFile_Feedback_TypeSupportInterface (const SendGcodeFile_Feedback_TypeSupportInterface &);
                SendGcodeFile_Feedback_TypeSupportInterface & operator = (const SendGcodeFile_Feedback_TypeSupportInterface &);
            };

            class  SendGcodeFile_Feedback_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef SendGcodeFile_Feedback_DataWriter_ptr _ptr_type;
                typedef SendGcodeFile_Feedback_DataWriter_var _var_type;

                static SendGcodeFile_Feedback_DataWriter_ptr _duplicate (SendGcodeFile_Feedback_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeFile_Feedback_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeFile_Feedback_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeFile_Feedback_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeFile_Feedback_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const SendGcodeFile_Feedback_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const SendGcodeFile_Feedback_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const SendGcodeFile_Feedback_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const SendGcodeFile_Feedback_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const SendGcodeFile_Feedback_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const SendGcodeFile_Feedback_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const SendGcodeFile_Feedback_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const SendGcodeFile_Feedback_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const SendGcodeFile_Feedback_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const SendGcodeFile_Feedback_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (SendGcodeFile_Feedback_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeFile_Feedback_& instance_data) = 0;

            protected:
                SendGcodeFile_Feedback_DataWriter () {};
                ~SendGcodeFile_Feedback_DataWriter () {};
            private:
                SendGcodeFile_Feedback_DataWriter (const SendGcodeFile_Feedback_DataWriter &);
                SendGcodeFile_Feedback_DataWriter & operator = (const SendGcodeFile_Feedback_DataWriter &);
            };

            class  SendGcodeFile_Feedback_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef SendGcodeFile_Feedback_DataReader_ptr _ptr_type;
                typedef SendGcodeFile_Feedback_DataReader_var _var_type;

                static SendGcodeFile_Feedback_DataReader_ptr _duplicate (SendGcodeFile_Feedback_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeFile_Feedback_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeFile_Feedback_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeFile_Feedback_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeFile_Feedback_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (SendGcodeFile_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SendGcodeFile_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SendGcodeFile_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SendGcodeFile_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SendGcodeFile_Feedback_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SendGcodeFile_Feedback_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SendGcodeFile_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SendGcodeFile_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SendGcodeFile_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SendGcodeFile_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SendGcodeFile_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SendGcodeFile_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SendGcodeFile_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SendGcodeFile_Feedback_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeFile_Feedback_& instance) = 0;

            protected:
                SendGcodeFile_Feedback_DataReader () {};
                ~SendGcodeFile_Feedback_DataReader () {};
            private:
                SendGcodeFile_Feedback_DataReader (const SendGcodeFile_Feedback_DataReader &);
                SendGcodeFile_Feedback_DataReader & operator = (const SendGcodeFile_Feedback_DataReader &);
            };

            class  SendGcodeFile_Feedback_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef SendGcodeFile_Feedback_DataReaderView_ptr _ptr_type;
                typedef SendGcodeFile_Feedback_DataReaderView_var _var_type;

                static SendGcodeFile_Feedback_DataReaderView_ptr _duplicate (SendGcodeFile_Feedback_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeFile_Feedback_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeFile_Feedback_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeFile_Feedback_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeFile_Feedback_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (SendGcodeFile_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SendGcodeFile_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SendGcodeFile_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SendGcodeFile_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SendGcodeFile_Feedback_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SendGcodeFile_Feedback_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SendGcodeFile_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SendGcodeFile_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SendGcodeFile_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SendGcodeFile_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SendGcodeFile_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SendGcodeFile_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SendGcodeFile_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SendGcodeFile_Feedback_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeFile_Feedback_& instance) = 0;

            protected:
                SendGcodeFile_Feedback_DataReaderView () {};
                ~SendGcodeFile_Feedback_DataReaderView () {};
            private:
                SendGcodeFile_Feedback_DataReaderView (const SendGcodeFile_Feedback_DataReaderView &);
                SendGcodeFile_Feedback_DataReaderView & operator = (const SendGcodeFile_Feedback_DataReaderView &);
            };
            class SendGcodeFile_FeedbackMessage_TypeSupportInterface;

            typedef SendGcodeFile_FeedbackMessage_TypeSupportInterface * SendGcodeFile_FeedbackMessage_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeFile_FeedbackMessage_TypeSupportInterface> SendGcodeFile_FeedbackMessage_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < SendGcodeFile_FeedbackMessage_TypeSupportInterface> SendGcodeFile_FeedbackMessage_TypeSupportInterface_out;


            class SendGcodeFile_FeedbackMessage_DataWriter;

            typedef SendGcodeFile_FeedbackMessage_DataWriter * SendGcodeFile_FeedbackMessage_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeFile_FeedbackMessage_DataWriter> SendGcodeFile_FeedbackMessage_DataWriter_var;
            typedef DDS_DCPSInterface_out < SendGcodeFile_FeedbackMessage_DataWriter> SendGcodeFile_FeedbackMessage_DataWriter_out;


            class SendGcodeFile_FeedbackMessage_DataReader;

            typedef SendGcodeFile_FeedbackMessage_DataReader * SendGcodeFile_FeedbackMessage_DataReader_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeFile_FeedbackMessage_DataReader> SendGcodeFile_FeedbackMessage_DataReader_var;
            typedef DDS_DCPSInterface_out < SendGcodeFile_FeedbackMessage_DataReader> SendGcodeFile_FeedbackMessage_DataReader_out;


            class SendGcodeFile_FeedbackMessage_DataReaderView;

            typedef SendGcodeFile_FeedbackMessage_DataReaderView * SendGcodeFile_FeedbackMessage_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < SendGcodeFile_FeedbackMessage_DataReaderView> SendGcodeFile_FeedbackMessage_DataReaderView_var;
            typedef DDS_DCPSInterface_out < SendGcodeFile_FeedbackMessage_DataReaderView> SendGcodeFile_FeedbackMessage_DataReaderView_out;

            struct SendGcodeFile_FeedbackMessage_Seq_uniq_ {};
            typedef DDS_DCPSUVLSeq < SendGcodeFile_FeedbackMessage_, struct SendGcodeFile_FeedbackMessage_Seq_uniq_> SendGcodeFile_FeedbackMessage_Seq;
            typedef DDS_DCPSSequence_var < SendGcodeFile_FeedbackMessage_Seq> SendGcodeFile_FeedbackMessage_Seq_var;
            typedef DDS_DCPSSequence_out < SendGcodeFile_FeedbackMessage_Seq> SendGcodeFile_FeedbackMessage_Seq_out;

            class  SendGcodeFile_FeedbackMessage_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef SendGcodeFile_FeedbackMessage_TypeSupportInterface_ptr _ptr_type;
                typedef SendGcodeFile_FeedbackMessage_TypeSupportInterface_var _var_type;

                static SendGcodeFile_FeedbackMessage_TypeSupportInterface_ptr _duplicate (SendGcodeFile_FeedbackMessage_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeFile_FeedbackMessage_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeFile_FeedbackMessage_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeFile_FeedbackMessage_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeFile_FeedbackMessage_TypeSupportInterface_ptr _this () { return this; }


            protected:
                SendGcodeFile_FeedbackMessage_TypeSupportInterface () {};
                ~SendGcodeFile_FeedbackMessage_TypeSupportInterface () {};
            private:
                SendGcodeFile_FeedbackMessage_TypeSupportInterface (const SendGcodeFile_FeedbackMessage_TypeSupportInterface &);
                SendGcodeFile_FeedbackMessage_TypeSupportInterface & operator = (const SendGcodeFile_FeedbackMessage_TypeSupportInterface &);
            };

            class  SendGcodeFile_FeedbackMessage_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef SendGcodeFile_FeedbackMessage_DataWriter_ptr _ptr_type;
                typedef SendGcodeFile_FeedbackMessage_DataWriter_var _var_type;

                static SendGcodeFile_FeedbackMessage_DataWriter_ptr _duplicate (SendGcodeFile_FeedbackMessage_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeFile_FeedbackMessage_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeFile_FeedbackMessage_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeFile_FeedbackMessage_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeFile_FeedbackMessage_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const SendGcodeFile_FeedbackMessage_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const SendGcodeFile_FeedbackMessage_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const SendGcodeFile_FeedbackMessage_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const SendGcodeFile_FeedbackMessage_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const SendGcodeFile_FeedbackMessage_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const SendGcodeFile_FeedbackMessage_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const SendGcodeFile_FeedbackMessage_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const SendGcodeFile_FeedbackMessage_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const SendGcodeFile_FeedbackMessage_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const SendGcodeFile_FeedbackMessage_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (SendGcodeFile_FeedbackMessage_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeFile_FeedbackMessage_& instance_data) = 0;

            protected:
                SendGcodeFile_FeedbackMessage_DataWriter () {};
                ~SendGcodeFile_FeedbackMessage_DataWriter () {};
            private:
                SendGcodeFile_FeedbackMessage_DataWriter (const SendGcodeFile_FeedbackMessage_DataWriter &);
                SendGcodeFile_FeedbackMessage_DataWriter & operator = (const SendGcodeFile_FeedbackMessage_DataWriter &);
            };

            class  SendGcodeFile_FeedbackMessage_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef SendGcodeFile_FeedbackMessage_DataReader_ptr _ptr_type;
                typedef SendGcodeFile_FeedbackMessage_DataReader_var _var_type;

                static SendGcodeFile_FeedbackMessage_DataReader_ptr _duplicate (SendGcodeFile_FeedbackMessage_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeFile_FeedbackMessage_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeFile_FeedbackMessage_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeFile_FeedbackMessage_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeFile_FeedbackMessage_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (SendGcodeFile_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SendGcodeFile_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SendGcodeFile_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SendGcodeFile_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SendGcodeFile_FeedbackMessage_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SendGcodeFile_FeedbackMessage_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SendGcodeFile_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SendGcodeFile_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SendGcodeFile_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SendGcodeFile_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SendGcodeFile_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SendGcodeFile_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SendGcodeFile_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SendGcodeFile_FeedbackMessage_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeFile_FeedbackMessage_& instance) = 0;

            protected:
                SendGcodeFile_FeedbackMessage_DataReader () {};
                ~SendGcodeFile_FeedbackMessage_DataReader () {};
            private:
                SendGcodeFile_FeedbackMessage_DataReader (const SendGcodeFile_FeedbackMessage_DataReader &);
                SendGcodeFile_FeedbackMessage_DataReader & operator = (const SendGcodeFile_FeedbackMessage_DataReader &);
            };

            class  SendGcodeFile_FeedbackMessage_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef SendGcodeFile_FeedbackMessage_DataReaderView_ptr _ptr_type;
                typedef SendGcodeFile_FeedbackMessage_DataReaderView_var _var_type;

                static SendGcodeFile_FeedbackMessage_DataReaderView_ptr _duplicate (SendGcodeFile_FeedbackMessage_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SendGcodeFile_FeedbackMessage_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static SendGcodeFile_FeedbackMessage_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SendGcodeFile_FeedbackMessage_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                SendGcodeFile_FeedbackMessage_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (SendGcodeFile_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SendGcodeFile_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SendGcodeFile_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SendGcodeFile_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SendGcodeFile_FeedbackMessage_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SendGcodeFile_FeedbackMessage_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SendGcodeFile_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SendGcodeFile_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SendGcodeFile_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SendGcodeFile_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SendGcodeFile_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SendGcodeFile_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SendGcodeFile_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SendGcodeFile_FeedbackMessage_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SendGcodeFile_FeedbackMessage_& instance) = 0;

            protected:
                SendGcodeFile_FeedbackMessage_DataReaderView () {};
                ~SendGcodeFile_FeedbackMessage_DataReaderView () {};
            private:
                SendGcodeFile_FeedbackMessage_DataReaderView (const SendGcodeFile_FeedbackMessage_DataReaderView &);
                SendGcodeFile_FeedbackMessage_DataReaderView & operator = (const SendGcodeFile_FeedbackMessage_DataReaderView &);
            };
        }

    }

}

#endif
