#ifndef _H_4A6FB4F6175B9DC7BFB8A8FE602B3BAB_SendGcodeFile__H_
#define _H_4A6FB4F6175B9DC7BFB8A8FE602B3BAB_SendGcodeFile__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"
#include "unique_identifier_msgs/msg/dds_opensplice/UUID_.h"
#include "builtin_interfaces/msg/dds_opensplice/Time_.h"


namespace grbl_msgs
{
    namespace action
    {
        namespace dds_
        {
            struct  SendGcodeFile_Goal_
            {
                ::DDS::String_mgr file_path_;
            };

            typedef DDS_DCPSStruct_var<SendGcodeFile_Goal_> SendGcodeFile_Goal__var;
            typedef DDS_DCPSStruct_out < SendGcodeFile_Goal_> SendGcodeFile_Goal__out;

            struct  SendGcodeFile_SendGoal_Request_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
                ::grbl_msgs::action::dds_::SendGcodeFile_Goal_ goal_;
            };

            typedef DDS_DCPSStruct_var<SendGcodeFile_SendGoal_Request_> SendGcodeFile_SendGoal_Request__var;
            typedef DDS_DCPSStruct_out < SendGcodeFile_SendGoal_Request_> SendGcodeFile_SendGoal_Request__out;

            struct  SendGcodeFile_SendGoal_Response_
            {
                ::DDS::Boolean accepted_;
                ::builtin_interfaces::msg::dds_::Time_ stamp_;
            };

            typedef DDS_DCPSStruct_var<SendGcodeFile_SendGoal_Response_> SendGcodeFile_SendGoal_Response__var;
            typedef SendGcodeFile_SendGoal_Response_& SendGcodeFile_SendGoal_Response__out;

            struct  Sample_SendGcodeFile_SendGoal_Request_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::grbl_msgs::action::dds_::SendGcodeFile_SendGoal_Request_ request_;
            };

            typedef DDS_DCPSStruct_var<Sample_SendGcodeFile_SendGoal_Request_> Sample_SendGcodeFile_SendGoal_Request__var;
            typedef DDS_DCPSStruct_out < Sample_SendGcodeFile_SendGoal_Request_> Sample_SendGcodeFile_SendGoal_Request__out;

            struct  Sample_SendGcodeFile_SendGoal_Response_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::grbl_msgs::action::dds_::SendGcodeFile_SendGoal_Response_ response_;
            };

            typedef DDS_DCPSStruct_var<Sample_SendGcodeFile_SendGoal_Response_> Sample_SendGcodeFile_SendGoal_Response__var;
            typedef Sample_SendGcodeFile_SendGoal_Response_& Sample_SendGcodeFile_SendGoal_Response__out;

            struct  SendGcodeFile_Result_
            {
                ::DDS::Boolean success_;
            };

            typedef DDS_DCPSStruct_var<SendGcodeFile_Result_> SendGcodeFile_Result__var;
            typedef SendGcodeFile_Result_& SendGcodeFile_Result__out;

            struct  SendGcodeFile_GetResult_Request_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
            };

            typedef DDS_DCPSStruct_var<SendGcodeFile_GetResult_Request_> SendGcodeFile_GetResult_Request__var;
            typedef SendGcodeFile_GetResult_Request_& SendGcodeFile_GetResult_Request__out;

            struct  SendGcodeFile_GetResult_Response_
            {
                ::DDS::Octet status_;
                ::grbl_msgs::action::dds_::SendGcodeFile_Result_ result_;
            };

            typedef DDS_DCPSStruct_var<SendGcodeFile_GetResult_Response_> SendGcodeFile_GetResult_Response__var;
            typedef SendGcodeFile_GetResult_Response_& SendGcodeFile_GetResult_Response__out;

            struct  Sample_SendGcodeFile_GetResult_Request_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::grbl_msgs::action::dds_::SendGcodeFile_GetResult_Request_ request_;
            };

            typedef DDS_DCPSStruct_var<Sample_SendGcodeFile_GetResult_Request_> Sample_SendGcodeFile_GetResult_Request__var;
            typedef Sample_SendGcodeFile_GetResult_Request_& Sample_SendGcodeFile_GetResult_Request__out;

            struct  Sample_SendGcodeFile_GetResult_Response_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::grbl_msgs::action::dds_::SendGcodeFile_GetResult_Response_ response_;
            };

            typedef DDS_DCPSStruct_var<Sample_SendGcodeFile_GetResult_Response_> Sample_SendGcodeFile_GetResult_Response__var;
            typedef Sample_SendGcodeFile_GetResult_Response_& Sample_SendGcodeFile_GetResult_Response__out;

            struct  SendGcodeFile_Feedback_
            {
                ::DDS::String_mgr status_;
            };

            typedef DDS_DCPSStruct_var<SendGcodeFile_Feedback_> SendGcodeFile_Feedback__var;
            typedef DDS_DCPSStruct_out < SendGcodeFile_Feedback_> SendGcodeFile_Feedback__out;

            struct  SendGcodeFile_FeedbackMessage_
            {
                ::unique_identifier_msgs::msg::dds_::UUID_ goal_id_;
                ::grbl_msgs::action::dds_::SendGcodeFile_Feedback_ feedback_;
            };

            typedef DDS_DCPSStruct_var<SendGcodeFile_FeedbackMessage_> SendGcodeFile_FeedbackMessage__var;
            typedef DDS_DCPSStruct_out < SendGcodeFile_FeedbackMessage_> SendGcodeFile_FeedbackMessage__out;

        }

    }

}

#endif /* _H_4A6FB4F6175B9DC7BFB8A8FE602B3BAB_SendGcodeFile__H_ */
